@import url('colors.css');


html, body {
    overflow-x: hidden;
    font-family: Arial, sans-serif;
}

#title {
  width: 100%;
  text-align: center;
  font-size: var(--fontSize);
}

#wordleBackground {
  font-size: var(--fontSize);
  margin: auto;
  width: max-content;
  padding: 0.4em;
}

#wordleBox {
  flex: 1;
  display: flex;
  flex-direction: column;
  width: max-content;
  color: var(--base00);
  gap: 0.2em;
}

.wordleRow {
  height: auto;
  display: flex;
  flex-direction: row;
  gap: 0.2em;
}

.wordleField {
  display: flex;
  width: 1.3em;
  aspect-ratio: 1/1;
  background-color: var(--base02);
  border-style: ridge;
  border-color: var(--base01);
  border-width: 0.2em;
  text-align: center;
  color: var(--base00);
  font-size: var(--fontSize);
  overflow: auto;
}

.wordleField p {
  font-size: 0.8em;
  margin: auto;
  font-weight: 900;
  color: var(--base00);
}

#boxWin {
  font-size: var(--fontSize);
  height: 2em;
}

#win {
  width: 100%;
  text-align: center;
  font-weight: 900;
}


#keyboard {
  margin: auto;
  height: auto;
  width: max-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 0.2em;
  font-size: var(--fontSize);
}

.keyboardRow {
  width: max-content;
  height: auto;
  margin: auto;
  display: flex;
  flex-direction: row;
  gap: 0.2em;
}

.keyboardField {
  height: 1.3em;
  background-color: var(--base02);
  border-style: ridge;
  border-color: var(--base01);
  border-width: 0.2em;
  display: flex;
  text-align: center;
  color: var(--base00);
  cursor: pointer;
  user-select: none; 
}

.keyboardFieldDummy {
  height: 1.3em;
}

.keyboardField p {
  margin: auto;
  font-size: 0.8em;
  font-weight: 900;
  cursor: pointer;
  user-select: none; 
}

.keyboardField svg {
  margin: auto;
  cursor: pointer;

}

#overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.5);
  z-index: 2;
}

#overlayBox {
  display: flex;
  flex-direction: column;
  padding: 0.5em;
  gap: 0.5em;
  font-size: var(--fontSize);
  font-weight: 900;
  width: max-content;
  height: auto;
  border-style: ridge;
  color: var(--base00);
  border-color: var(--base01);
  border-width: 0.2em;
  background-color: var(--base02);
  box-shadow: 0 4px 20px rgba(0,0,0,0.9);
}

#overlayRow {
  display: flex;
  flex-direction: row;
  width: max-content;
  height: auto;
  padding: 1em;
  margin-bottom: 1em;
}

.overlayColumn {
  display: flex;
  flex-direction: column;
  width: max-content;
  height: auto;
}

#wins, #losses {
  text-align: right;
}

#overlay p {
  font-size: 1.5em;
  margin: 0;
}

#retry {
  margin:auto;
  width: max-content;
  height: auto;
  text-align: center;
  border-color: var(--base01);
  background-color: var(--base00);
  border-width: 0.2em;
  border-style: ridge;
  padding:0 0.3em;

  color: var(--base02);
  cursor: pointer;
  user-select: none; 
}
